/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 997 $
 * $Date: 2020-03-19 13:49:34 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.general.math.delaunay;

/**
 * 
 * @author gweidenholzer
 * 
 */
public class Triangle {

	/**
	 * 
	 */
	public Point a;

	/**
	 * 
	 */
	public Point b;

	/**
	 * 
	 */
	public Point c;

	/**
	* 
	*/
	public Triangle() {
	}

	/**
	 * 
	 * @param a
	 * @param b
	 * @param c
	 */
	public Triangle(Point a, Point b, Point c) {
		this.a = a;
		this.b = b;
		this.c = c;
	}

	/**
	 * 
	 * @param other
	 * @return true if triangles touch each other
	 */
	public boolean touches(Triangle other) {

		if (this.a == other.a) {
			return true;
		}
		if (this.a == other.b) {
			return true;
		}
		if (this.a == other.c) {
			return true;
		}

		if (this.b == other.a) {
			return true;
		}
		if (this.b == other.b) {
			return true;
		}
		if (this.b == other.c) {
			return true;
		}

		if (this.c == other.a) {
			return true;
		}
		if (this.c == other.b) {
			return true;
		}
		if (this.c == other.c) {
			return true;
		}

		return false;
	}

}
