#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 834 $
$LastChangedDate:: 2017-09-29 12:27:10 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from abc import ABCMeta, abstractmethod


class AbstractFMUModelData(metaclass=ABCMeta):
    """Abstract class for FMU model data

    May contain informations of the model size, and message pack serializable resource data (optional)

    """

    @abstractmethod
    def to_msgpack(self):
        """
        Create a message pack serializable dictionary
        Returns
        -------
        data: dict
            model data encoded in msgpack format

        """
        return {'dummmy': 1.0}
