# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 1041 $
$LastChangedDate:: 2021-02-04 13:55:24 +0100#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import os
import unittest
import xmlrunner


class XMLTestRunner:
    """
    Tests all Python tests found in path and all it's subdirectories using the unittest framework

    - writes xunit xml-files with testresults

    """

    def __init__(self, start_dir, reports_dir):
        self.reports_dir = reports_dir
        self.suite = unittest.TestSuite()
        self.loader = unittest.TestLoader()

        self.runner = xmlrunner.XMLTestRunner(output=reports_dir, outsuffix='-junit')
        self.suite.addTests(self.loader.discover(start_dir))

    def run(self):
        if not os.path.isdir(self.reports_dir):
            os.makedirs(self.reports_dir, exist_ok=True)

        return self.runner.run(self.suite)
