/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui;

import java.io.Serializable;

import at.lcm.bu21.magopt.structure.Parameter;

/**
 * ClipboardData Class is used for Cut/Copy/Paste Actions.<br>
 * Contains Parameter and boolean value to distinguish between Cut or Copy.
 * 
 * @author Aigner Markus
 * 
 */
public class ClipboardData implements Serializable {
	private static final long serialVersionUID = 1L;

	private Parameter mParam;
	private boolean mCut;

	protected ClipboardData(Parameter param, boolean cut) {
		this.mParam = param;
		this.mCut = cut;
	}

	protected Parameter getParameter() {
		return (this.mParam);
	}

	protected boolean isCut() {
		return (this.mCut);
	}
}
