/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 247 $
 * $Date: 2020-03-19 10:13:52 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.optim.core.mapping.utils.comparators;

import java.util.Comparator;

import at.lcm.bu21.optim.core.mapping.utils.dstructures.TMappingTask;

public class MappingTaskCorrMinComparator implements Comparator<TMappingTask> {

	@Override
	public int compare(TMappingTask arg0, TMappingTask arg1) {
		double corrMin0 = Double.parseDouble(arg0.getResults().get(TMappingTask.TResult.CV_CORR_MIN.getValue()));
		double corrMin1 = Double.parseDouble(arg1.getResults().get(TMappingTask.TResult.CV_CORR_MIN.getValue()));

		if (corrMin0 > corrMin1) {
			return -1;
		}
		if (corrMin0 < corrMin1) {
			return 1;
		}
		return 0;
	}

}
