#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 10062 $
$LastChangedDate:: 2020-11-20 13:22:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.console.script_utils import ScriptUtils
from symspace.wrapper.symwrapper import SymProject


def main(project: SymProject):
    curIndex = project.getIndex()

    for idx in range(project.getLength()):
        project.setIndex(idx)
        project.resetAllFunctions()

    project.setIndex(curIndex)
    print('Script finished successfully')


if __name__ == '__main__':
    """
    This script resets all function of all indices in a project.
    The functionality of this script is also included in the macro "run_for_all_indices.py"
    
    This script needs to be executed in the SyMSpace Python Console.
    """
    _params = locals()
    _project = ScriptUtils.getProject(_params)
    if _project is not None:
        ScriptUtils.run(main, _project)
    else:
        ScriptUtils.showNoProjectWarning()
