# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 10056 $
$LastChangedDate:: 2020-11-11 13:09:26 +0100#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import importlib.util
import importlib.machinery


class ModuleUtil:
    file_formats = ('py', 'pyc', 'pyd')

    @staticmethod
    def getAllFormats():
        """Get all supported file formats for modules"""
        all_suffixes = importlib.machinery.all_suffixes()
        return [suffix.strip('.') for suffix in all_suffixes]

    @staticmethod
    def isModule(file: str) -> bool:
        """
        Check if the file is a python module according to its file extension

        Parameters
        ----------
        file: str
            File to check

        Returns
        -------
        bool
        """
        all_suffixes = importlib.machinery.all_suffixes()
        for suffix in all_suffixes:
            if file.endswith(suffix):
                return True
        return False
