# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 10056 $
$LastChangedDate:: 2020-11-11 13:09:26 +0100#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import sys


class VersionUtil:

    @staticmethod
    def parse_version(v):
        """Simple version parser

        Alternative to:
        - from packaging.version import parse as parse_version  # recommended
        - from distutils.version import LooseVersion as parse_version # older

        """
        return tuple(map(int, (v.split("."))))

    @staticmethod
    def getPythonVersion() -> str:
        """Get Version of the python interpreter"""
        py_version = '{}.{}'.format(sys.version_info.major, sys.version_info.minor)
        return py_version
