'==========================================================================
'
'	Install MagOpt
'       
'**************************************************************************
'   Author(s): W. Koppelsttter
'     UNIVERSITY - L I N Z / LCM - Linz Center of Mechatronics GmbH
'      Institute for Electrical Drives and Power Electronics
'**************************************************************************
'
'=================== Script Initialization ================================

Option Explicit
'On Error Resume Next

'=================== Constant / Variable Declaration ======================

Dim WshShell, WshEnv, FSO
Dim objArgs
Dim install, str
Dim SyMSpaceHome
Dim strOpenScript, StrMopIcon
Dim oShellLink, strMagOptLink, strMagOptExe, strRCPWorkspace, strRCPWorkbench

'=================== Main Logic ===========================================

Set WshShell = WScript.CreateObject("WScript.Shell")
Set FSO = CreateObject("Scripting.FileSystemObject")

install = True
SyMSpaceHome = WshShell.CurrentDirectory

' evaluate input parameter 
Set objArgs = WScript.Arguments
If objArgs.Count >= 1 Then
	If Trim(UCase(objArgs(0))) = "UNINSTALL" Then
		install = False
	End If
'Else
'	str = Trim(UCase(InputBox ("Type INSTALL to install or type UNINSTALL if you wish uninstall.", 	"Setup", "INSTALL")))
'	If str = "UNINSTALL" Then 
'		install = False
'	End If
End If
If objArgs.Count >= 2 Then
	SyMSpaceHome = objArgs(1)
End If


' define open mop-file
strOpenScript = SyMSpaceHome & "\System\OpenMagOptProject.vbs"
strMopIcon = SyMSpaceHome & "\System\mop.ico"
' define RCP-Gui link
strMagOptLink = SyMSpaceHome & "\MagOpt.lnk"
strMagOptExe = SyMSpaceHome & "\System\Gui\MagOptGui\MagOpt.exe"
strRCPWorkspace = SyMSpaceHome & "\workspace"
strRCPWorkbench = strRCPWorkspace & "\.metadata\.plugins\org.eclipse.e4.workbench\workbench.xmi"

Set WshEnv = WshShell.Environment("USER")
If install Then
	' add environment variable
	'WshEnv("SyMSpace_Home") = SyMSpaceHome
	WshEnv("MagOpt_Home") = SyMSpaceHome & "\"
	
	' add open mop-file
	strOpenScript = SyMSpaceHome & "\System\OpenMagOptProject.vbs"
	strMopIcon = SyMSpaceHome & "\System\mop.ico"
	WshShell.RegWrite "HKEY_CURRENT_USER\Software\Classes\.mop\", "MagOpt.mop"
	WshShell.RegWrite "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\", "MagOpt Project"
	WshShell.RegWrite "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\DefaultIcon\", strMopIcon
	WshShell.RegWrite "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\shell\open\command\", "wscript.exe """ & strOpenScript & """ ""%1"""

	' add link to RCP-Gui and delete workbench
	'Set oShellLink = WshShell.CreateShortcut(strMagOptLink)
	'oShellLink.TargetPath = strMagOptExe
	'oShellLink.WorkingDirectory = SyMSpaceHome
	'oShellLink.Save
	'If FSO.FileExists(strRCPWorkbench) Then FSO.DeleteFile(strRCPWorkbench)
	
	WshShell.Run "Tools\Purge\install.vbs install " & SyMSpaceHome & "\Tools\Purge"
	WshShell.Run "Tools\SentTo\install_convert_postscript.vbs install " & SyMSpaceHome & "\Tools\SentTo"
	WshShell.Run "Tools\SentTo\install_extractTexBody.vbs install " & SyMSpaceHome & "\Tools\SentTo"
	WshShell.Run "Tools\SentTo\install_fillTex.vbs install " & SyMSpaceHome & "\Tools\SentTo"
Else
	' remove environment variable
'	WshEnv.Remove "SyMSpace_Home"
'	WshEnv.Remove "MagOpt_Home"
	
	' remove open mop-file
	On Error Resume Next
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\.mop\"
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\DefaultIcon\"
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\shell\open\command\"
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\shell\open\"
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\shell\"
	WshShell.RegDelete "HKEY_CURRENT_USER\Software\Classes\MagOpt.mop\"
	On Error Goto 0

	' remove link to RCP-Gui and workspace
	If FSO.FileExists(strMagOptLink) Then FSO.DeleteFile(strMagOptLink)
	If FSO.FolderExists(strRCPWorkspace) Then FSO.DeleteFolder(strRCPWorkspace)
	
	WshShell.Run "Tools\Purge\install.vbs uninstall " & SyMSpaceHome & "\Tools\Purge"
	WshShell.Run "Tools\SentTo\install_convert_postscript.vbs uninstall " & SyMSpaceHome & "\Tools\SentTo"
	WshShell.Run "Tools\SentTo\install_extractTexBody.vbs uninstall " & SyMSpaceHome & "\Tools\SentTo"
	WshShell.Run "Tools\SentTo\install_fillTex.vbs uninstall " & SyMSpaceHome & "\Tools\SentTo"
End If

set WshEnv = Nothing

'=================== Functions / Subroutines ==============================
